Accept Quote
curl --request POST \
--url https://mapi.zbx.boomfi.xyz/v1/trade/quote/{quote_id}/accept \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/trade/quote/{quote_id}/accept"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.zbx.boomfi.xyz/v1/trade/quote/{quote_id}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"base_ccy": "<string>",
"created_at": "<string>",
"deposit_instruction": {},
"id": "<string>",
"org_id": "<string>",
"price": "<string>",
"properties": "<unknown>",
"quote": {
"accepted_at": "<string>",
"account_id": 123,
"buy_asset": {
"amount": 123,
"chain_id": 123,
"symbol": "<string>",
"token_address": "<string>"
},
"created_at": "<string>",
"deposit_instruction": {
"account_id": 123
},
"expires_at": "<string>",
"fees": {
"breakdown": {},
"fee_currency": "<string>",
"total_fee": 123
},
"id": "<string>",
"internal": "<unknown>",
"org_id": "<string>",
"properties": "<unknown>",
"rate": {
"buy_currency_cad_rate": 123,
"cad_value": 123,
"effective_rate": 123,
"sell_currency_cad_rates": {},
"usd_value": 123
},
"rejected_at": "<string>",
"sell_assets": [
{
"amount": 123,
"chain_id": 123,
"symbol": "<string>",
"token_address": "<string>"
}
],
"settlement_instruction": {
"account_id": 123,
"address": "<string>",
"chain_id": 123
},
"source": "<string>",
"ttl_at": "<string>",
"updated_at": "<string>"
},
"quote_ccy": "<string>",
"quote_id": "<string>",
"settlement_instruction": {},
"size": "<string>",
"updated_at": "<string>",
"user_id": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Quotes
Accept Quote
Accept an RFQ quote and create an order
POST
/
trade
/
quote
/
{quote_id}
/
accept
Accept Quote
Authorizations
Path Parameters
Unique RFQ quote identifier
Query Parameters
Override settlement account ID. Mutually exclusive with settlement_address.
Override settlement wallet address. Mutually exclusive with settlement_account_id.
⌘I